using UnityEngine; 

namespace Mod
{
    public class Mod
    {
        public static void Main()
        {
           CategoryBuilder.Create("Union-AGNW", "This contains Union items of the A Great New World.", ModAPI.LoadSprite("category.png"));

//Fed Helmet 1
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Union Helmet 1",
                    NameToOrderByOverride = "UnionH1",
                    DescriptionOverride = "Protecting the Head",
                    CategoryOverride = ModAPI.FindCategory("Union-AGNW"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("m1.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("m1.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 12f;
                        armor.armorPiece = "Head"; //check the uh the fucking uh readme for the full list of bodyparts
                        armor.armorTier = 12;

                        Instance.FixColliders();
                    }
                }
            );
//Fed Helmet wth mask
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Union Helmet With Mask",
                    NameToOrderByOverride = "UnionH3",
                    DescriptionOverride = "Protecting the Lungs and the Head",
                    CategoryOverride = ModAPI.FindCategory("Union-AGNW"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Helmet with Mask.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Helmet with Mask.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 12f;
                        armor.armorPiece = "Head"; //check the uh the fucking uh readme for the full list of bodyparts
                        armor.armorTier = 12;

                        Instance.FixColliders();
                    }
                }
            );

//Fed Helmet 2
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Union Gasmask 1",
                    NameToOrderByOverride = "UnionH2",
                    DescriptionOverride = "Protecting the Lungs",
                    CategoryOverride = ModAPI.FindCategory("Union-AGNW"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("gasmask.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("gasmask.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 12f;
                        armor.armorPiece = "Head"; //check the uh the fucking uh readme for the full list of bodyparts
                        armor.armorTier = 11;

                        Instance.FixColliders();
                    }
                }
            );

//Fed Helmet 3
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Union Tanker Helmet",
                    NameToOrderByOverride = "UnionTH1",
                    DescriptionOverride = "Not going to do much against tank shells",
                    CategoryOverride = ModAPI.FindCategory("Union-AGNW"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Union Tanker Helmet.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Union Tanker Helmet.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 12f;
                        armor.armorPiece = "Head"; //check the uh the fucking uh readme for the full list of bodyparts
                        armor.armorTier = 12;

                        Instance.FixColliders();
                    }
                }
            );

//Fed Helmet 4
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Union Medic Helmet",
                    NameToOrderByOverride = "UnionH4",
                    DescriptionOverride = "More of a target than anything else.",
                    CategoryOverride = ModAPI.FindCategory("Union-AGNW"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("m1 Medic.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("m1 Medic.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 12f;
                        armor.armorPiece = "Head"; //check the uh the fucking uh readme for the full list of bodyparts
                        armor.armorTier = 12;

                        Instance.FixColliders();
                    }
                }
            );
                        //hat
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Union SharpShooter Hat ",
                    NameToOrderByOverride = "UnionH4",
                    DescriptionOverride = "Lighter then a Helmet, Greener than one too.",
                    CategoryOverride = ModAPI.FindCategory("Union-AGNW"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Union SharpShooter Hat.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Union SharpShooter Hat.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 12f;
                        armor.armorPiece = "Head"; //check the uh the fucking uh readme for the full list of bodyparts
                        armor.armorTier = 6;

                        Instance.FixColliders();
                    }
                }
            );
                        //hat2
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Union Officer Hat ",
                    NameToOrderByOverride = "UnionH5",
                    DescriptionOverride = "A big fancy Target.",
                    CategoryOverride = ModAPI.FindCategory("Union-AGNW"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Union Officer Cap.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Union Officer Cap.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 12f;
                        armor.armorPiece = "Head"; //check the uh the fucking uh readme for the full list of bodyparts
                        armor.armorTier = 7;

                        Instance.FixColliders();
                    }
                }
            );
 //Fed
            ModAPI.Register(
        new Modification()
        {
            OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
            NameOverride = "Union Medic", //new item name with a suffix to assure it is globally unique
            NameToOrderByOverride = "UNM",
            DescriptionOverride = "Not a fun job.", //new item description
            CategoryOverride = ModAPI.FindCategory("Union-AGNW"), //new item category
            ThumbnailOverride = ModAPI.LoadSprite("Soldier4thumb.png"), //new item thumbnail (relative path)
            AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
            {

                var skin = ModAPI.LoadTexture("Union Soldier Medic.png");
                var flesh = ModAPI.LoadTexture("flesh.png");
                var bone = ModAPI.LoadTexture("bone.png");

                var person = Instance.GetComponent<PersonBehaviour>();

                person.SetBodyTextures(skin, flesh, bone, 1);
            }
        }
);        

//Fed
            ModAPI.Register(
        new Modification()
        {
            OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
            NameOverride = "Union Soldier", //new item name with a suffix to assure it is globally unique
            NameToOrderByOverride = "UN",
            DescriptionOverride = "New to the ranks.", //new item description
            CategoryOverride = ModAPI.FindCategory("Union-AGNW"), //new item category
            ThumbnailOverride = ModAPI.LoadSprite("Soldier1thumb.png"), //new item thumbnail (relative path)
            AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
            {

                var skin = ModAPI.LoadTexture("Union Soldier.png");
                var flesh = ModAPI.LoadTexture("flesh.png");
                var bone = ModAPI.LoadTexture("bone.png");

                var person = Instance.GetComponent<PersonBehaviour>();

                person.SetBodyTextures(skin, flesh, bone, 1);
            }
        }
);        
 //Fed
            ModAPI.Register(
        new Modification()
        {
            OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
            NameOverride = "Union Soldier Corporal", //new item name with a suffix to assure it is globally unique
            NameToOrderByOverride = "UN2",
            DescriptionOverride = "Look at the cool stripe.", //new item description
            CategoryOverride = ModAPI.FindCategory("Union-AGNW"), //new item category
            ThumbnailOverride = ModAPI.LoadSprite("Soldier2thumb.png"), //new item thumbnail (relative path)
            AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
            {

                var skin = ModAPI.LoadTexture("Union Soldier Corporal.png");
                var flesh = ModAPI.LoadTexture("flesh.png");
                var bone = ModAPI.LoadTexture("bone.png");

                var person = Instance.GetComponent<PersonBehaviour>();

                person.SetBodyTextures(skin, flesh, bone, 1);
            }
        }
);     

 //Fed3
            ModAPI.Register(
        new Modification()
        {
            OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
            NameOverride = "Union Soldier Sergeant", //new item name with a suffix to assure it is globally unique
            NameToOrderByOverride = "UN3",
            DescriptionOverride = "Probably has seen some things.", //new item description
            CategoryOverride = ModAPI.FindCategory("Union-AGNW"), //new item category
            ThumbnailOverride = ModAPI.LoadSprite("Soldier3thumb.png"), //new item thumbnail (relative path)
            AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
            {

                var skin = ModAPI.LoadTexture("Union Soldier Sergeant.png");
                var flesh = ModAPI.LoadTexture("flesh.png");
                var bone = ModAPI.LoadTexture("bone.png");

                var person = Instance.GetComponent<PersonBehaviour>();

                person.SetBodyTextures(skin, flesh, bone, 1);
            }
        }
);     

 //Fed3
            ModAPI.Register(
        new Modification()
        {
            OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
            NameOverride = "Union SharpShooter", //new item name with a suffix to assure it is globally unique
            NameToOrderByOverride = "UN4",
            DescriptionOverride = "Tree Noises.", //new item description
            CategoryOverride = ModAPI.FindCategory("Union-AGNW"), //new item category
            ThumbnailOverride = ModAPI.LoadSprite("Sharpshooter thumb.png"), //new item thumbnail (relative path)
            AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
            {

                var skin = ModAPI.LoadTexture("Union SharpShooter.png");
                var flesh = ModAPI.LoadTexture("flesh.png");
                var bone = ModAPI.LoadTexture("bone.png");

                var person = Instance.GetComponent<PersonBehaviour>();

                person.SetBodyTextures(skin, flesh, bone, 1);
            }
        }
);     
 //FedTanker
            ModAPI.Register(
        new Modification()
        {
            OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
            NameOverride = "Union Soldier Tanker", //new item name with a suffix to assure it is globally unique
            NameToOrderByOverride = "UNT1",
            DescriptionOverride = "Welcome to the tin can.", //new item description
            CategoryOverride = ModAPI.FindCategory("Union-AGNW"), //new item category
            ThumbnailOverride = ModAPI.LoadSprite("Tanker1thumb.png"), //new item thumbnail (relative path)
            AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
            {

                var skin = ModAPI.LoadTexture("Union Soldier Tanker.png");
                var flesh = ModAPI.LoadTexture("flesh.png");
                var bone = ModAPI.LoadTexture("bone.png");

                var person = Instance.GetComponent<PersonBehaviour>();

                person.SetBodyTextures(skin, flesh, bone, 1);
            }
        }
);     

 //Fed
            ModAPI.Register(
        new Modification()
        {
            OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
            NameOverride = "Union Soldier Tank Commander", //new item name with a suffix to assure it is globally unique
            NameToOrderByOverride = "UNT2",
            DescriptionOverride = "Gets out of the tank way to often.", //new item description
            CategoryOverride = ModAPI.FindCategory("Union-AGNW"), //new item category
            ThumbnailOverride = ModAPI.LoadSprite("Tanker2Thumb.png"), //new item thumbnail (relative path)
            AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
            {

                var skin = ModAPI.LoadTexture("Union Soldier Tank Commander.png");
                var flesh = ModAPI.LoadTexture("flesh.png");
                var bone = ModAPI.LoadTexture("bone.png");

                var person = Instance.GetComponent<PersonBehaviour>();

                person.SetBodyTextures(skin, flesh, bone, 1);
            }
        }
);     
            //120mm
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Detached 120mm Cannon"),
                    NameOverride = "Union Heavy Cannon",
                    NameToOrderByOverride = "Union",
                    DescriptionOverride = "When MachineGuns aren't enough.",
                    CategoryOverride = ModAPI.FindCategory("Union-AGNW"),
                    ThumbnailOverride = ModAPI.LoadSprite("CannonThumb.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("120mmCannon.png", 1f);
                   	Instance.FixColliders();
                    }
                }
            );
//1915
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Glock 17"),
                    NameOverride = "Colt 1915",
                    NameToOrderByOverride = "Union",
                    DescriptionOverride = "Trusty handgun that will never fail.",
                    CategoryOverride = ModAPI.FindCategory("Union-AGNW"),
                    ThumbnailOverride = ModAPI.LoadSprite("Colt M1911 thumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects();

                        var MakarovSlide = Instance.transform.Find("Slide");
                        MakarovSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Colt M1911Slide.png");

                        Instance.FixColliders();
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Colt M1915.png");
                          var firearm = Instance.GetComponent<FirearmBehaviour>();
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("pistol.wav")
                        };
		    }
                }
            );
			//Union Rifle
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                    NameOverride = "M1919 A2",
                    NameToOrderByOverride = "Union",
                    DescriptionOverride = "The Union's Choice Killing Machine!",
                    CategoryOverride = ModAPI.FindCategory("Union-AGNW"),
                    ThumbnailOverride = ModAPI.LoadSprite("Union Rifle 1.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Union Rifle 1.png");
						Instance.FixColliders();
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						firearm.AutomaticFireInterval = 0.15f;
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("rifle.wav")
                        };
                    }
                }
            );

			//Union Shotgun
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Shotgun"),
                    NameOverride = "Model 1920",
                    NameToOrderByOverride = "Union",
                    DescriptionOverride = "The Union's Choice Killing Machine!",
                    CategoryOverride = ModAPI.FindCategory("Union-AGNW"),
                    ThumbnailOverride = ModAPI.LoadSprite("M1920.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("M1920.png");
						Instance.FixColliders();
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						firearm.Automatic = true;
                                                                                                          firearm.AutomaticFireInterval = 0.18f;
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("shotgun.wav")
                        };
                    }
                }
            );
			//Union LMG
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                    NameOverride = "M1919 A2 SAW",
                    NameToOrderByOverride = "Union",
                    DescriptionOverride = "Mowing Down the Enemies of Freedom!",
                    CategoryOverride = ModAPI.FindCategory("Union-AGNW"),
                    ThumbnailOverride = ModAPI.LoadSprite("Union Rifle LMG.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Union Rifle LMG.png");
						Instance.FixColliders();
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						firearm.AutomaticFireInterval = 0.10f;
                                                                                                          firearm.barrelPosition = new Vector2(1f, .1f);
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("rifle.wav")
                        };
                    }
                }
            );
			//Union Sniper
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                    NameOverride = "M1903 A3 DMR",
                    NameToOrderByOverride = "Union",
                    DescriptionOverride = "Boom, Headshot.",
                    CategoryOverride = ModAPI.FindCategory("Union-AGNW"),
                    ThumbnailOverride = ModAPI.LoadSprite("Union Sniper.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Union Sniper.png");
						Instance.FixColliders();
						var firearm = Instance.GetComponent<FirearmBehaviour>();
                                                                                                          firearm.barrelPosition = new Vector2(1f, .15f);
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("sniper.wav")
                        };
                    }
                }
            );
	//Bazooka
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rocket Launcher"),
                    NameOverride = "M1932 A2 Bazooka",
                    NameToOrderByOverride = "Union",
                    DescriptionOverride = "Watch out for the backblast.",
                    CategoryOverride = ModAPI.FindCategory("Union-AGNW"),
                    ThumbnailOverride = ModAPI.LoadSprite("rpg.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("rpg.png");
						Instance.FixColliders();
                    }
                }
            );
         //FedFlag
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Metal Cube"),
                    NameOverride = "Union Flag",
                    NameToOrderByOverride = "UnionFlag",
                    DescriptionOverride = "The flag of the Union",
                    CategoryOverride = ModAPI.FindCategory("Union-AGNW"),
                    ThumbnailOverride = ModAPI.LoadSprite("Union Flag.png"),
                    AfterSpawn = (Instance) =>
                    {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Union Flag.png");
                   	Instance.FixColliders();

                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";

                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Soft");
                        phys.Disintegratable = false;
                        phys.Properties.Flammability = 0f;
                        phys.Properties.BulletSpeedAbsorptionPower = float.MaxValue;
                    }
                }
            );
			//HMG
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Light Machine Gun"),
                    NameOverride = "Growning M3 HMG",
                    NameToOrderByOverride = "Union",
                    DescriptionOverride = "A machine gun designed for use in vehicles and defended positions.",
                    CategoryOverride = ModAPI.FindCategory("Union-AGNW"),
                    ThumbnailOverride = ModAPI.LoadSprite("Union HMG.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Union HMG.png");
						Instance.FixColliders();
						var firearm = Instance.GetComponent<FirearmBehaviour>();

						firearm.AutomaticFireInterval = 0.06f;
						firearm.InitialInaccuracy = 0.07f;
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("hmg.wav")
                        };
                    }
                }
            );

            //Radio Freedom
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Small I-Beam"),
                    NameOverride = "The UNION Radio",
                    NameToOrderByOverride = "Radio",
                    DescriptionOverride = "Tune into Radio Freedom.",
                    CategoryOverride = ModAPI.FindCategory("Union-AGNW"),
                    ThumbnailOverride = ModAPI.LoadSprite("Radio.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Radio.png");
						
						AudioSource AS = Instance.AddComponent<AudioSource>();
                        AS.minDistance = 1;
                        AS.maxDistance = 20;




                        int index = 0;
                        AudioClip[] AudioData = new AudioClip[]
                        {
                            ModAPI.LoadSound("America 2.mp3"),
                        };


                        Instance.FixColliders();

                        Instance.AddComponent<UseEventTrigger>().Action = () =>
                        {
                            AS.clip = AudioData[index];
                            AS.Play();

                            index++;
                            if (index == AudioData.Length) index = 0;
                        };
                    }
                }
            );
            //Union Barricade
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick Cube"),
                    NameOverride = "Union Barricade",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "I nice bit of cover in a firefight.",
                    CategoryOverride = ModAPI.FindCategory("Union-AGNW"),
                    ThumbnailOverride = ModAPI.LoadSprite("tooth.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("tooth.png");
						Instance.FixColliders();
                    }
                }
            );
 //fed nade
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stielhandgranate"),
                    NameOverride = "Hand Grenade",
                    NameToOrderByOverride = "Union",
                    DescriptionOverride = "For when people wont get moving.",
                    CategoryOverride = ModAPI.FindCategory("Union-AGNW"),
                    ThumbnailOverride = ModAPI.LoadSprite("HandGthumb.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("HandG.png", 1f);
                   	Instance.FixColliders();
                    }
                }
            );
//Medkit
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Crossbow"),
                    NameOverride = "Medkit",
                    NameToOrderByOverride = "UNM kit",
                    DescriptionOverride = "MEDIC!!",
                    CategoryOverride = ModAPI.FindCategory("Union-AGNW"),
                    ThumbnailOverride = ModAPI.LoadSprite("medkit.png",1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("medkit.png");
						Instance.FixColliders();
                        Instance.GetComponent<ProjectileLauncherBehaviour>().projectileAsset = ModAPI.FindSpawnable("Mending Syringe");
                        Instance.GetComponent<ProjectileLauncherBehaviour>().projectileLaunchStrength = 0f;
						Instance.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Wood");
                    }
                }
            );
	//small bomb
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("General Purpose Bomb"),
                    NameOverride = "Light Bomb",
                    NameToOrderByOverride = "union",
                    DescriptionOverride = "Just becuase it isn't the biggest doesn't mean you shouldn't fear it.",
                    CategoryOverride = ModAPI.FindCategory("Union-AGNW"),
                    ThumbnailOverride = ModAPI.LoadSprite("smallbomb.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("smallbomb.png");
						Instance.FixColliders();
                        Instance.GetComponent<ExplosiveBehaviour>().Range = 25f;
                    }
                }
            );
           //nade launcher
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Grenade Launcher"),
                    NameOverride = "M10 Grenade Launcher",
                    NameToOrderByOverride = "union",
                    DescriptionOverride = "Clears a room real fast.",
                    CategoryOverride = ModAPI.FindCategory("Union-AGNW"),
                    ThumbnailOverride = ModAPI.LoadSprite("glauncher.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("glauncher.png", 1f);
                   	Instance.FixColliders();
                    }
                }
            );
        }
    }
}